Множественные уязвимости в OpenAutoClassifieds

Дата публикации:
02.09.2009
Дата изменения:
02.09.2009
Всего просмотров:
1070
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
OpenAutoClassifieds 1.x
Уязвимые версии: OpenAutoClassifieds 1.5.9, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение, выполнить произвольные SQL команды в базе данных приложения и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки в SmartyPaginate в сценарию listings.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Подробное описание уязвимости:
www.securitylab.ru/vulnerability/384551.php

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "filter" в сценарии xml_zone_data.php и в параметре "start_zip" в сценарии listings.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

3. Уязвимость существует из-за недостаточной проверки расширений загружаемых изображений в профиль пользователя. Удаленный пользователь может загрузить и выполнить произвольный PHP сценарий на целевой системе.

URL производителя: openautoclassifieds.com

Решение: Установите последнюю версию 1.6.0 с сайта производителя.

Ссылки: http://openautoclassifieds.com/wiki/doku.php/Changelog
http://milw0rm.com/exploits/9530

или введите имя

CAPTCHA